Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.controls.securityProvider
Interface GroupProviderControl

All Superinterfaces
  Serializable

    @ControlInterface
    public interface GroupProviderControl

extends Serializable

This control:

- is used as an interface to the Portal security provider functionality that is specific to groups.

Control properties:

- atnProvider The name of the authentication provider to perform these operations on. If not configured, the default authentication provider will be used.

Security requirements: To invoke these methods, the caller must be in a role that has been granted appropriate permission in the WebLogic Administration Portal Authentication Security Provider Service.

Nested Class Summary
`static interface` | `GroupProviderControl.GroupProviderParams` Define the properties for this control.

Method Summary
`void` | `addGroupToGroup(String parentGroup, String childGroup)` Add a child group to a group Caller must be in the role of PortalSystemAdminstrator
`void` | `addUserToGroup(String groupname, String username)` Add a user to a group.
`ProfileWrapper` | `createGroup(String name)` Caller must be in the role of PortalSystemAdminstrator
`List` | `getAllGroupNames()`
`List` | `getChildGroupNames(String groupname)` Caller must be in the role of PortalSystemAdminstrator Retrieve a list of all children of a group.
`List` | `getGroupNamesForUser(String username)` Get a list of groups to which this user belongs
`List` | `getParentGroupNames(String groupname)` Retrieve the parents of a group.
`List` | `getTopLevelGroupNames()` Retrieve a list of groups that do not have parent groups.
`List` | `getUsernamesForGroup(String groupname)` Caller must be in the role of PortalSystemAdminstrator
`List` | `getUsernamesForGroupLimited(String groupname, String searchExpression, int limit)` Retrieve a list of users in a group, matching the provided wildcard expression Caller must be in the role of PortalSystemAdminstrator
`boolean` | `groupExists(String group)` Determines if a group exists in the realm.
`boolean` | `isDeletableGroup(String groupName)` Determine if a group can be deleted.
`boolean` | `isDescendent(String ancestor, String descendent)` Determine if one group is a descendent of another.
`boolean` | `isMemberOfGroup(String groupname, String username, boolean recurse)` Determine if a user is a member of a group.
`void` | `removeGroup(String groupname)` Remove a group.
`void` | `removeGroupFromGroup(String parentGroup, String childGroup)` Remove a child group from a group Caller must be in the role of PortalSystemAdminstrator
`void` | `removeUserFromGroup(String groupname, String username)` Remove a user from a group Caller must be in the role of PortalSystemAdminstrator

Method Detail

### getParentGroupNames

    List getParentGroupNames(String groupname)
                             throws OperationNotSupportedException

  Retrieve the parents of a group. Returns a List of parents, or null if there are none. The list is not recursive upwards, it ony includes the immediate parents.

  Throws
    `OperationNotSupportedException` - if authentication provider implementation does not support this operation

### getAllGroupNames

    List getAllGroupNames()
                          throws OperationNotSupportedException

  Returns
    a List of all group names in the system
  Throws
    `OperationNotSupportedException` - if authentication provider implementation does not support this operation

### getGroupNamesForUser

    List getGroupNamesForUser(String username)
                              throws OperationNotSupportedException

  Get a list of groups to which this user belongs

  Parameters
    `username` - Current user name
  Returns
    List of group names (String) to which the user belongs
  Throws
    `OperationNotSupportedException` - if authentication provider implementation does not support this operation

### addGroupToGroup

    void addGroupToGroup(String parentGroup,
                         String childGroup)
                         throws OperationNotSupportedException

  Add a child group to a group Caller must be in the role of PortalSystemAdminstrator

  Parameters
    `parentGroup` - the name of the group to modify
    `childGroup` - the name of the group to add
  Throws
    `OperationNotSupportedException` - if authentication provider implementation does not support this operation

### addUserToGroup

    void addUserToGroup(String groupname,
                        String username)
                        throws OperationNotSupportedException

  Add a user to a group. Caller must be in the role of PortalSystemAdminstrator

  Parameters
    `groupname` - the name of the group to modify
    `username` - the name of the user to add
  Throws
    `OperationNotSupportedException` - if authentication provider implementation does not support this operation

### createGroup

    ProfileWrapper createGroup(String name)
                               throws GroupAlreadyExistsException,
                                      InvalidGroupnameException,
                                      OperationNotSupportedException,
                                      P13nControlException

  Caller must be in the role of PortalSystemAdminstrator

  Parameters
    `the` - name of the group to create
  Throws
    `GroupAlreadyExistsException` - if the group already exists
    `InvalidGroupnameException` - if the group name is invalid
    `OperationNotSupportedException` - if authentication provider implementation does not support this operation
    `P13nControlException` - if remote errors occur

### getChildGroupNames

    List getChildGroupNames(String groupname)
                            throws OperationNotSupportedException

  Caller must be in the role of PortalSystemAdminstrator Retrieve a list of all children of a group. Returns only the immediate children of this group.

  Parameters
    `groupname` - the group to query
  Throws
    `OperationNotSupportedException` - if authentication provider implementation does not support this operation

### getTopLevelGroupNames

    List getTopLevelGroupNames()
                               throws OperationNotSupportedException

  Retrieve a list of groups that do not have parent groups. This will not return the built-in WLS "everyone" or "users" groups. Caller must be in the role of PortalSystemAdminstrator

  Throws
    `OperationNotSupportedException` - if authentication provider implementation does not support this operation

### groupExists

    boolean groupExists(String group)
                        throws OperationNotSupportedException

  Determines if a group exists in the realm.

  Parameters
    `name` - the group name to check
  Returns
    true if the group exists, false otherwise
  Throws
    `OperationNotSupportedException` - if authentication provider implementation does not support this operation

### isDeletableGroup

    boolean isDeletableGroup(String groupName)
                             throws OperationNotSupportedException

  Determine if a group can be deleted. Caller must be in the role of PortalSystemAdminstrator

  Returns
    false if the group name given is protected by the system in any way
  Throws
    `OperationNotSupportedException` - if authentication provider implementation does not support this operation

### isDescendent

    boolean isDescendent(String ancestor,
                         String descendent)
                         throws OperationNotSupportedException

  Determine if one group is a descendent of another. Caller must be in the role of PortalSystemAdminstrator

  Parameters
    `ancestor` - see if the other group is a descendent of this group
    `descendent` - see if this is a descendent of the other group
  Throws
    `OperationNotSupportedException` - if authentication provider implementation does not support this operation

### isMemberOfGroup

    boolean isMemberOfGroup(String groupname,
                            String username,
                            boolean recurse)
                            throws OperationNotSupportedException

  Determine if a user is a member of a group.

  Parameters
    `groupname` - the group to query
    `username` - the user to look for
    `recurse` - Extend search to descendents of groupName
  Throws
    `OperationNotSupportedException` - if authentication provider implementation does not support this operation

### removeGroup

    void removeGroup(String groupname)
                     throws InvalidGroupnameException,
                            OperationNotSupportedException

  Remove a group. This will remove the group from both the realm and the profile tables. Caller must be in the role of PortalSystemAdminstrator

  Parameters
    `the` - name of the group to remove
  Throws
    `InvalidGroupnameException` - if the group name is invalid
    `OperationNotSupportedException` - if authentication provider implementation does not support this operation

### removeGroupFromGroup

    void removeGroupFromGroup(String parentGroup,
                              String childGroup)
                              throws OperationNotSupportedException

  Remove a child group from a group Caller must be in the role of PortalSystemAdminstrator

  Parameters
    `parentGroup` - the name of the group to modify
    `childGroup` - the name of the group to remove
  Throws
    `OperationNotSupportedException` - if authentication provider implementation does not support this operation

### removeUserFromGroup

    void removeUserFromGroup(String groupname,
                             String username)
                             throws OperationNotSupportedException

  Remove a user from a group Caller must be in the role of PortalSystemAdminstrator

  Parameters
    `groupname` - the name of the group to modify
    `username` - the name of the user to remove
  Throws
    `OperationNotSupportedException` - if authentication provider implementation does not support this operation

### getUsernamesForGroup

    List getUsernamesForGroup(String groupname)
                              throws OperationNotSupportedException

  Caller must be in the role of PortalSystemAdminstrator

  Throws
    `OperationNotSupportedException` - if authentication provider implementation does not support this operation

### getUsernamesForGroupLimited

    List getUsernamesForGroupLimited(String groupname,
                                     String searchExpression,
                                     int limit)
                                     throws OperationNotSupportedException

  Retrieve a list of users in a group, matching the provided wildcard expression Caller must be in the role of PortalSystemAdminstrator

  Parameters
    `groupname` - the group to query
    `searchExpression` - a wildcard expression to match
    `limit` - the maximum number of results to return
  Returns
    a List of usernames that are in this group
  Throws
    `OperationNotSupportedException` - if authentication provider implementation does not support this operation

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.